"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arraySlice = exports.humanizeKeys = exports.humanize = void 0;
const toTitleCase = (str) => {
    return str.replace(/\w\S*/g, text => text.charAt(0).toUpperCase() + text.slice(1).toLowerCase());
};
function humanize(value) {
    return toTitleCase((value || '').replace('_', ' ').replace(/([a-z])([A-Z])/g, '$1 $2'));
}
exports.humanize = humanize;
function humanizeKeys(params) {
    return Object.fromEntries(Object.entries(params).filter(([_, value]) => value).map(([key, value]) => [humanize(key), value]));
}
exports.humanizeKeys = humanizeKeys;
function* arraySlice(array, size = 10) {
    for (let i = 0; i < array.length; i += size) {
        yield array.slice(i, i + size);
    }
}
exports.arraySlice = arraySlice;
